/* MOBILE MENU & ANIMATION */
.menu-toggle {
    justify-self: end;
    display: none;
    .bar{
        width: 25px;
        height: 3px;
        background-color: $blue-color;
        margin: 5px 0;
        -webkit-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
        border-radius: 10px;
        &:last-child {
          width: 15px;
          transform: translateX(10px);
        }
      }
    &:hover {
        cursor: pointer;
    }  
}  
#mobile-menu {
    &.is-active {
      position: relative;
      transition: 0.4s;
      position: relative;
        .bar{
            &:nth-child(2){
                opacity: 0;
            }
            &:nth-child(1){
                -webkit-transform: translateY(8px) rotate(45deg);
                -ms-transform: translateY(8px) rotate(45deg);
                -o-transform: translateY(8px) rotate(45deg);
                transform: translateY(8px) rotate(45deg);
            }
            &:nth-child(3){
                -webkit-transform: translateY(-8px) rotate(-45deg);
                -ms-transform: translateY(-8px) rotate(-45deg);
                -o-transform: translateY(-8px) rotate(-45deg);
                transform: translateY(-8px) rotate(-45deg);
                width: 25px;
            }  
        }
        
    }
}
  /* KEYFRAME ANIMATIONS */
  @-webkit-keyframes gradbar {
      0% {
          background-position: 0% 50%
      }
      50% {
          background-position: 100% 50%
      }
      100% {
          background-position: 0% 50%
      }
  }
  
  @-moz-keyframes gradbar {
      0% {
          background-position: 0% 50%
      }
      50% {
          background-position: 100% 50%
      }
      100% {
          background-position: 0% 50%
      }
  }
  
  @keyframes gradbar {
      0% {
          background-position: 0% 50%
      }
      50% {
          background-position: 100% 50%
      }
      100% {
          background-position: 0% 50%
      }
  }

/* Extra small devices (phones, less than 768px) */
  @media (max-width: 768px) {
    .menu-toggle,.bar {
        display: block;
        cursor: pointer;
    }
    .is-active {
      position: relative;
      transition: 0.4s;
      &::after {
        background: #000;
        width: 100vh;
        height: 100vh;
        position: absolute;
        top: 40px;
        right: 0;
        content: '';
        opacity: 0.7;
        z-index: 1;
        
      } 
    }
    .navbar {
      top: 0;
      left: 0;
      z-index: 6;
      margin: 0;
      justify-content: space-between;
        .logo-gofast {
          width: 40%;
          text-align: left;
          padding: 0;
        }
        .all-nav-gofast{
          position: fixed;
          top: 90px;
          right: 0;
          z-index: 3;
          width: 100% !important;
          height: calc(100vh - 55px);
          transform: translate(100%);
          transition: 0.6s;
          background: #000000;
          overflow: hidden;
          align-content: flex-start;
          padding-top: 86px;
        }
        .nav-gofast {
          flex-direction: column;
          justify-content: start;
          width: 100%;
          flex-wrap: wrap;
          
          li {
            padding: 0;
            a {
              padding:15px;
              text-align: center;
              
            }
            &:hover {
              .sub-menu  {
                display: none;
              }
            }
            .sub-menu {
              width: 100%;
              position: relative;
              top:0px;
            }
          }
          .active > { 
            a {
              color: #F15A31;
              &:hover, &:focus {
                color: #F15A31;
              }
            }
          }
        }
        .mobile-nav {
            transform: translate(0%)!important;
            overflow-x: scroll;
          } 
          .box-booking {
            display: none;
          }  
          .box-booking-mb {
            display: block;
            text-decoration: none;
            color: #ffffff;
            &:hover {
              color: #BE1E2D;
            }
          }  
      }

  }
    /* Small devices (tablets, 768px and up) */
    @media (min-width:769px) and (max-width: 1024px){
      .navbar {
        .logo-gofast {
          width: 65px;
        }
        .nav-gofast {
          margin:0;
          padding:0;
          list-style-type: none;
          display: flex;
          li {
            a {
              font-size: 12px;
              padding:15px 6px;
            }
            .sub-menu {
              &>li {
                a {
                  font-size:12px;
                  padding:5px;
                }
              }
            }
          }
        }
      }
      .bt-booking {
        font-size: 14px;
      }
    }